Chuyển đến nội dung
Diễn đàn CADViet
Đăng nhập để thực hiện theo  
tonyhoang

[Yêu cầu] lisp tự tăng tới số cho trước và lập lại tăng dần

Các bài được khuyến nghị

Hi các pác !

tình hình là trên diễn dàn mình có rất nhìu líp đánh số thứ tự. e post bài này mong các pác chỉ giáo thêm. e cần 1 líp số tự tăng và tới số mình quy định thì quay trở lại. nói dài dòng khó hỉu, e VD như sau:

 

e có số bắt đầu là 101, và nó sẽ tăng tới 124 or 148 thì sẽ tăng lên là 201. tiếp tục tăng tới 224 or 248, và như vậy cứ thế cho đến hết các text đã chọn.

 

xin nhờ các pác cao thủ chỉ giáo. thanks all. :mellow: . http://www.cadviet.com/upfiles/3/71464_v_final.dwg

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

File lỗi :), yêu cầu chưa rõ ràng. Bạn chọn 1 dãy text, nhập số bắt đầu, nhập số tăng (101-> 148), vậy từ 148 ->201 là theo quy luật nào ? Số bắt đầu + thêm 100 à ?

Bạn xem ví dụ :

(defun c:ts(/ i0 ic inc it)
(vl-load-com)
(if (ssget '((0 . "*TEXT")))
 (progn
 (setq
	i0 (1- (getint "\nSo bat dau :")) it i0
	ic (getint "\nSo dung lai :")
	inc 100 ;thay so 100 bang (getint "\nGia so :") neu muon nhap
 )
	(vlax-for objTxt (vla-get-activeselectionset (vla-get-activedocument (vlax-get-acad-object)))
  (if (< i0 ic)(setq i0 (1+ i0))
(setq it (+ inc it) i0 (1+ it) ic (+ ic inc))
  )
  (vla-put-textstring objTxt i0)
 )
)
)
) 

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

oh thanks bạn nhìu, để mình test thử xem sao :)

 

về quy luật tằng thì giống như cái đồng hồ vậy đó. cứ tăng tới 48 (hàng chục) thì số hàng trăm tăng lên thêm 1, cứ như thế tăng dần.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

ok bạn ơi nhưng khi thực hiện lệnh xong thì nó bị mất text mình đánh lúc đầu. với lại mình update cho nó có thể chỉnh tọa độ tăng lên (theo X, Y hay cả XY) chọn xuất hiện sau text hay trước text. giống như lệnh tcount của cad vậy đó.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

ok bạn ơi nhưng khi thực hiện lệnh xong thì nó bị mất text mình đánh lúc đầu. với lại mình update cho nó có thể chỉnh tọa độ tăng lên (theo X, Y hay cả XY) chọn xuất hiện sau text hay trước text. giống như lệnh tcount của cad vậy đó.

File lỗi, mình đã nhắc nhưng bạn k sửa nên k biết ý đồ của bạn, cũng chính vì vậy nên :

Mục đỏ : giữ được

Mục xanh : bạn cứ việc update, mình có than phiền gì đâu :)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×